vtk (5.8.0-16) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * [5e721d4] Change Java target to 1.5 . (Closes: #731823)

 -- Anton Gladky <gladk@debian.org>  Sat, 10 May 2014 08:39:05 +0200

vtk (5.8.0-15.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Look for TCL and TK in the multi-arch triplet dir (closes: #724831).
  * Apply patch from Julian Taylor to fix TCL underlinking (closes: #742359).

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Apr 2014 09:27:20 +0000

vtk (5.8.0-15) unstable; urgency=low

  * Use /usr/share/cmake-2.8/Modules/FindFreetype.cmake (Closes: #732059)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 27 Dec 2013 19:51:29 -0500

vtk (5.8.0-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/libav9.patch: Backport patches from upstream to fix
    compilation with libav 9. (Closes: #693639)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Aug 2013 15:28:14 +0200

vtk (5.8.0-14) unstable; urgency=low

  [ Mathieu Malaterre ]
  * [eb7e4ed] Fix VTKTargets.cmake. (Closes: #714935)

  [ Bart Martens ]
  * [ee7ff23] Update debian/watch

  [ Anton Gladky ]
  * Team upload.

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Jul 2013 21:40:56 +0200

vtk (5.8.0-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use multiarched libpython2.7.so location. Closes: #713794
  * Add build-dep on dpkg-dev >= 1.16.1~.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 25 Jun 2013 20:50:11 +0100

vtk (5.8.0-13) unstable; urgency=low

  * Make sure to include VTK/QT cmake file. Closes: #656115
  * Revert back to libtiff4-dev and use libtiff-dev in d/control. Closes: #674998
  * Fix tkInt.h installation, using proper cmake magic. Closes: #674169
  * Make sure to discover init.tcl properly. Closes: #673245

 -- Mathieu Malaterre <malat@debian.org>  Wed, 30 May 2012 13:48:14 +0200

vtk (5.8.0-12) unstable; urgency=low

  * Install QT cmake export file with qt package. Closes: #656115
  * Re-activate old patch from bug #506992. Closes: #672729

 -- Mathieu Malaterre <malat@debian.org>  Wed, 16 May 2012 11:10:32 +0200

vtk (5.8.0-11) unstable; urgency=low

  * fix FTBFS with gcc 4.7

 -- Mathieu Malaterre <malat@debian.org>  Tue, 08 May 2012 13:54:51 +0200

vtk (5.8.0-10) unstable; urgency=low

  * Use my @d.o alias, remove DMUA flag
  * Move to Debian Science Team umbrella organisation
  * Fix issue with libtiff5-dev transition
  * Remove old dot hack, and generate svg output
  * Fix vtk-doc package. Closes: #610964
  * Move QT option within qt cmake file. Closes: #656115

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 May 2012 19:21:25 +0200

vtk (5.8.0-9) unstable; urgency=low

  * fix FTBFS with boost 1.49 (Closes: #667878)

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 08 Apr 2012 21:28:50 -0400

vtk (5.8.0-8) unstable; urgency=low

  * split VTKConfig.cmake into multiple parts (Closes: #584300)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 13 Mar 2012 10:50:30 -0400

vtk (5.8.0-7) unstable; urgency=low

  * Prepare vtk for move to multi-arch (png,tiff,z,jpeg). Closes: #661676
  * Bump to Std-Vers: 3.9.3, no changes needed.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 04 Mar 2012 21:54:19 +0100

vtk (5.8.0-6) unstable; urgency=low

   [Dominique Belhachemi]
   * merged with upstream's release branch (Closes: #653805)
   * set debian/compat=9 to receive CFLAGS
   * cleanup debian/rules
   * set build dependency from libhdf5-serial-dev to libhdf5-dev

   [Mathieu Malaterre]
   * Add missing man pages (remove lintian warnings)
   * Fix needless-dependency-on-jre
 
 -- Dominique Belhachemi <domibel@debian.org>  Sun, 22 Jan 2012 18:42:09 -0500

vtk (5.8.0-5) unstable; urgency=low

  * install vtkWrapHierarchy and vtkEncodeString into /usr/bin
  * install *Java.so* into /usr/lib/jni

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 06 Dec 2011 18:59:02 -0500

vtk (5.8.0-4) unstable; urgency=low

  * upload to unstable
  * removed some java annotations and generics to fix FTBFS on kfreebsd
  * fixed tcl path

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 21 Nov 2011 20:16:02 -0500

vtk (5.8.0-3) experimental; urgency=low

  * adjust installation path for VTKTargets.cmake
  * removed unused debian/tcl-vtk.postinst
  * compiled java classes with -source 1.6
  * keep VTKConfigQt.cmake only in libvtk5-dev
  * removed usr/lib/libMapReduceMPI.so*

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 08 Nov 2011 20:12:47 -0500

vtk (5.8.0-2) experimental; urgency=low

  * build with system hdf5
  * set VTK_INSTALL_LIB_DIR:PATH=/lib/

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 15 Oct 2011 11:00:53 -0400

vtk (5.8.0-1) experimental; urgency=low

  [Mathieu Malaterre]
  * Non-maintainer upload.
  * New upstream: 5.8.0
  * Adapt to new libav. Closes: #638559
  * Remove convenient sqlite copy. Closes: #638883
    - Use lintian to hide ftgl copy

  [Alastair McKinstry]
  * Ensure python-vtk pyc files are deleted
  * shlibs for pythonCore needed

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 21:31:17 +0100

vtk (5.6.1-7) unstable; urgency=low

  * Drop obsolete paths from CMakeCache.txt.debian.
    Thanks to Julien Cristau (Closes: #643814)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 30 Sep 2011 20:48:45 -0400

vtk (5.6.1-6.1) unstable; urgency=low

  [ Michael Schutte ]
  * Non-maintainer upload.
  * Remove absolute paths to required libraries from
    /usr/lib/vtk-5.6/VTKLibraryDepends.cmake after building, closes:
    #506992.  Due to the multiarch transition, the original behavior
    frequently causes reverse build-deps to FTBFS.  This change should
    probably be reverted once all required libraries are multiarched.
  
  [ Steve M. Robbins ]
  * Override lintian diagnostic about embedded libraries ftgl and sqlite.
  * IO/vtkFFMPEGWriter.cxx: Applied fix from #638246 to build with libav
    0.7.

 -- Steve M. Robbins <smr@debian.org>  Thu, 01 Sep 2011 23:35:32 -0500

vtk (5.6.1-6) unstable; urgency=low

  * VolumeRendering/vtkOpenGLGPUVolumeRayCastMapper.cxx:
  *   - Make mapper more verbose if GPU is not supported.
  *   - Don't deactivate the mapper if the 'OpenGL renderer string'
  *     contains 'Mesa' (e.g. Intel GPU's) (Closes: #600424)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 02 Jun 2011 23:21:18 -0400

vtk (5.6.1-5) unstable; urgency=low

  *  Include <stddef.h> to ensure ptrdiff_t is defined. (Closes: #624878)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 07 May 2011 12:01:54 -0400

vtk (5.6.1-4) unstable; urgency=low

  * vtkEncodeString is in /usr/lib/vtk-5.6 (Closes: #618519)
  * replace doxygen and texlive build dependencies with doxygen-latex
   (Closes: #616284)
  * Re-apply commit 4e1dd55 which had not been merged into 5.6.0.
    Added Break and Replace control fields (Closes: #601992, #601994)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 15 Mar 2011 20:44:14 -0400

vtk (5.6.1-3) unstable; urgency=low

  [ Dominique Belhachemi ]
  * debian/control: Added versioned dependency for python-dev (Closes: #604467)
  * debian/control: vtk-examples suggests libqt4-dev (Closes: #612952)
  * debian/rules: use find/xargs combination to delete *.md5 files,
                  avoids that rm is failing because of a long argument list
  * debian/rules: Make cmake output verbose if DH_VERBOSE is set

  [ Denis Barbier ]
  * Fix FTBFS on kfreebsd.  (Closes: #614134)

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 21 Feb 2011 17:17:49 -0500

vtk (5.6.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #604388, #613907, #613908, #6139011)
  * Link against Debian's system netcdf instead of vtknetcdf
  * removed libvtkNetCDF_cxx.so* (Closes: #602065)
  * Added workaround for FFMPEG build error

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 17 Feb 2011 18:26:48 -0500

vtk (5.6.1-1) experimental; urgency=low

  * new upstream patch release
  * Bump Standards-Version to 3.9.1(no changes needed)
  * added libvtkNetCDF_cxx.so.*

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 24 Oct 2010 13:23:50 -0400

vtk (5.6.0-2) experimental; urgency=low

  * Package tcl-vtk depends now on libvtk5.6 instead of libvtk5-dev
  * some link target changed to reduce unnecessary dependencies
  * Package is compliant to Debian policy version 3.9.0(no changes needed)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 15 Jul 2010 15:53:18 -0400

vtk (5.6.0-1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * renamed package according to the Debian Tcl/Tk policy
    vtk-tcl -> tcl-vtk
  * bump library version number in runtime packages:
    libvtk5.4-qt4 -> libvtk5.6-qt4
    libvtk5.4     -> libvtk5.6
  * removed packages:
    libvtk5.4-qt3 and libvtk5-qt3-dev
  * Try not to link against unnecessary libraries

 -- Dominique Belhachemi <domibel@debian.org>  Wed, 16 Jun 2010 00:09:11 -0400

vtk (5.4.2-8) unstable; urgency=low

  * debian/control: Added Break and Replace control fields (Closes: #601992, #601994)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 06 Nov 2010 11:33:04 -0400

vtk (5.4.2-7) unstable; urgency=low

  [ Denis Barbier ]
  * copy Wrapping/Python/vtk/gtk/GtkGLExtVTKRenderWindow{,Interactor}.py
    files
  * allow building against boost 1.42 and up (Closes: #582455)
  * drop CMake/FindJNI.cmake and build-depends cmake >= 2.8.1-3 instead
  * let python-vtk build with python 2.5 or 2.6.  Report and patch by
    Fabrice Coutadeur (Closes: #582565)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 25 May 2010 06:54:16 -0400

vtk (5.4.2-6) unstable; urgency=low

  * remove explicit references to python2.5 (Closes: #571519, #571491)
  * make libvtk5-dev explicitly depend upon tcl8.5-dev and tk8.5-dev
    (Closes: #572189)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 14 Apr 2010 14:40:49 -0400

vtk (5.4.2-5) unstable; urgency=low

  [ Dominique Belhachemi ]
  * Move library file libQVTKWidgetPlugin.so from
    libvtk5.4-{qt3,qt4} to libvtk5-{qt3,qt4}-dev . (Closes: #567379, #567380)

  [ Denis Barbier ]
  * CMake/FindJNI.cmake: add support for SH.
    Report and patch by Nobuhiro Iwamatsu. Closes: #568964

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 15 Feb 2010 18:27:01 -0500

vtk (5.4.2-4) unstable; urgency=low

  * Upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Jan 2010 11:39:45 -0500

vtk (5.4.2-3) experimental; urgency=low

  [ Denis Barbier ]
  * Several VTK_USE_* features have lately been enabled.  Add
    development packages to Depends field of libvtk5-dev, those
    libraries are now listed in VTKLibraryDepends.cmake

  [ Dominique Belhachemi ]
  * Use virtual packages (libexpat-dev, libjpeg-dev, libpng-dev)
  * doxyfile.in updated (doxygen 1.6.2 supports SVG)
  * debian/rules: removed build-stamp target from docs-stamp target
  * debian/rules: removed install-stamp target from binary-indep target

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 05 Jan 2010 18:44:38 -0500

vtk (5.4.2-2) experimental; urgency=low

  * fix java path: /usr/share/java/vtk.jar

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Fri, 01 Jan 2010 19:39:39 -0500

vtk (5.4.2-1) experimental; urgency=low

  [ A. Maitland Bottoms ]
  * New Upstream Version (Closes: #531989, #396283)
  * Drop VTK_X3D_USE_JAVA option, it has been removed from VTK 5.4.
    As a consequence, vtkHybrid does no more depend on Java libraries.
    Closes: #558714, #559629
  * Turn VTK_USE_POSTGRES ON.

  [ Denis Barbier ]
  * Fix FTBFS with gcj (Closes: #558716)
  * Drop all prerm scripts except vtk-doc.prerm
  * Copy CMake/FindJNI.cmake from 5.2.1-11, it had accidentally
    been removed.
  * Set JAVA_HOME in debian/rules to help FindJNI.cmake and
    FindJava.cmake
  * Remove debian/doxydot.sh, this script does nothing
  * Use a dot wrapper, taken from gdcmtk, to generate graphs
    without antialiasing, generated png files are much smaller
    and do not need to be compressed.  (Closes: #560661)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 16 Dec 2009 12:05:30 -0500

vtk (5.2.1-15) unstable; urgency=low

  [ Dominique Belhachemi ]
  * reduce size of vtk-doc by using the svg format
  * removed temporary debian/dot wrapper

  [ Denis Barbier ]
  * Fix vtk.jar installation path. Closes: bug#562387

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 11 Jan 2010 11:55:14 -0500

vtk (5.2.1-14) unstable; urgency=low

  * Turn VTK_X3D_USE_JAVA back OFF. Closes: bug#558675.
  * Suggest openmpi-bin Closes: bug#559452.
  * vtkEncodeString is in /usr/lib/vtk-5.2 Closes: bug#560817, bug#557545.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Dec 2009 20:51:57 -0500

vtk (5.2.1-13) unstable; urgency=low

  * Build-Dep on mpi-default-dev for VTK_USE_MPI. Closes: bug#552357.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 24 Nov 2009 21:06:58 -0500

vtk (5.2.1-12) unstable; urgency=low

  [ A. Maitland Bottoms ]
  * Update IO/vtkFFMPEGWriter.cxx to use swscale API.
  * Turn VTK_USE_FFMPEG_ENCODER ON. Closes: bug#552356.
  * Don't override values found by local FindJNI.cmake. Closes: bug#533193.

  [ Gerfried Fuchs ]
  * Adopt package description suggestion. Closes: bug#550104.

  [ Mathieu Malaterre ]
  * Suggest mayavi2 instead of removed mayavi. Closes: bug#552341.
  * Remove md5 doxygen generated files Closes: bug#552343.
  * VTK_X3D_USE_JAVA is ON. Closes: bug#552352.
  * vtkEncodeString is now packaged. Closes: bug#552353.
  * Turn VTK_USE_BOOST ON. Closes: bug#552354.
  * Turn VTK_USE_MPI ON. Closes: bug#552357.
  * Turn VTK_USE_MYSQL ON. Closes: bug#552359.
  * Use system gl2ps library instead of convenient copy. Closes: bug#552363.
  * Fix path to libQVTKWidgetPlugin.so. Closes: bug#555122.
  * Turn SEARCHENGINE=NO in doxygen configuration. Closes: bug#557237.
  * Compress the png files. Closes: bug#557238.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 21 Nov 2009 17:40:47 -0500

vtk (5.2.1-11) unstable; urgency=low

  * Using a local FindJNI.cmake to set JAVA_AWT_LIBRARY

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 17 Sep 2009 13:53:21 -0400

vtk (5.2.1-10) unstable; urgency=low

  [ Dominique Belhachemi ]
  * Switched to Tcl/Tk 8.5
  * Removed transitional package gcj from Build-Depends
  * Bump Standards-Version to 3.8.3
  * Added debian/python-vtk.lintian-overrides 
  * Added debian/vtk-tcl.lintian-overrides
  * Added debian/libvtk5.2-qt4.lintian-overrides
  * Added debian/libvtk5.2-qt3.lintian-overrides
  * Removed debian/libvtk-java.lintian-overrides
  * Compat level set to 7
  * Removed some unused shlib entries

  [ Denis Barbier ]
  * Remove bashisms from debian/rules
  * Remove calls to install-docs from libvtk-java.{postinst,prerm}.
  * Add ${misc:Depends} to Depends field in debian/control
  * Move libvtk-java section from 'interpreters' into 'java'
  * Drop vtk-doc.postinst

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 06 Sep 2009 15:26:38 -0400

vtk (5.2.1-9) unstable; urgency=low

  [ A. Maitland Bottoms ]
  * compile with support for osmesa
  * Be more flexible about egg-info naming.
    (Thanks Cyril Brulebois) Closes: bug#540520
  * Fix FTBFS on armel/kfreebsd-amd64/kfreebsd-i386 (when debian
    arch != debian cpu).
    Report and patch by Aurélien Jarno.  Closes: bug#541891.

  [ Denis Barbier ]
  * Fix FTBFS with parallel builds.  Closes: bug#543114.
    There seems to be a race when compiling Java bindings with parallel builds,
    modify CMake/vtkWrapJava.cmake to call javac only once for each kit.

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 30 Aug 2009 22:51:02 -0400

vtk (5.2.1-8) unstable; urgency=low

  * dak upload failed

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 20 Aug 2009 09:54:34 -0400

vtk (5.2.1-7) unstable; urgency=low

  [ A. Maitland Bottoms ]
  * Do not confuse Linux on sparc with SUN
  * java-policy is to use /usr/lib/jni. Closes: bug#533198.

  [ malaterre ]
  * BUG: Fix debian bug #532009. TBFS: error: AxesActor cannot be
    resolved to a type. Using the latest gcj 4.4 compiler for providing
    javac compiler there is an issue where -d path (destination dir) is
    not *always* added to the user class path. Furthermore by the time
    we compiler TestVTKCanvas, AxesActor should already have been
    compiled. Thus reorder foreach loop. Closes: bug#532009

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Jul 2009 13:58:07 -0400

vtk (5.2.1-6) unstable; urgency=low

  * correct python-support usage (Closes: #529961)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Jun 2009 21:52:32 -0400

vtk (5.2.1-5) unstable; urgency=low

  * correct python-support shared library path (Closes: #529961)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 23 May 2009 09:47:08 -0400

vtk (5.2.1-4) unstable; urgency=low

  * new libvtk5.2 packages (Closes: #520906, #523118)
  * dev packages now built for each architecture (Closes: #521451, #529292)
  * consistent use of dh-install and .dirs files (Closes: #519058)
  * install all qt support libraries (Closes: #520003)
  * install vtkWrapPythonInit (Closes: #486794)
  * libvtk5-dev depends upon libfreetype6-dev libxss-dev libxft-dev libpng12-dev (Closes: #527119)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 May 2009 21:35:17 -0400

vtk (5.2.1-3) unstable; urgency=low

  * Build without ccache (Closes: #522641)
  * versioned dependency on libvtk5 (Closes: #520328)
  * install all qt support libraries (Closes: #520003)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Apr 2009 09:42:16 -0400

vtk (5.2.1-2) unstable; urgency=low

  * use a sensible default VTK_DATA_ROOT for Debian (Closes: #513822)
  * python-vtk.manpages
  * update copyright file
  * build-depend upon gnuplot-nox rather than gnuplot
  * Unset QT_QT_LIBRARY for Qt4 build (Closes: #516756)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 10 Mar 2009 10:32:59 -0400

vtk (5.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #500232)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 11 Feb 2009 02:59:36 -0500

vtk (5.2.0.99-1) unstable; urgency=low

  * bump up 
  * add quilt

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 28 Dec 2008 01:18:04 +0100

vtk (5.2.0) unstable; urgency=low

  * Bump up

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 24 Dec 2008 14:55:29 +0100

vtk (5.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with -O0 on arm to workaround fslview FTBFS.
    Closes: 498053, 492538 . Thanks Peter Green.

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 10 Oct 2008 11:28:25 +0300

vtk (5.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #472512)
  * install cstddef and vtkTemplateAliasMacro.h in libvtk5-dev (Closes: #472520)
  * added cstring includes in Utilities/DICOMParser,
    GCC 4.3 compilation works (Closes: #455442)
  * Update wxPython support from upstream CVS, use the wx namespace
    rather than the deprecated API (Closes: #448895)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Mar 2008 15:13:54 -0400

vtk (5.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3. Thanks to Cyril Brulebois. Closes: #455442

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 16 Mar 2008 23:07:05 +0000

vtk (5.0.3-1) unstable; urgency=low

  * New upstream release
  * keep multiblock (Fortran unformatted) PLOT3D solution file patch
  * Build using newer cmake, avoid /usr/lib64 path (Closes: #418201)
  * Correctly close bug for vtkWrap* executables (Closes: #401746)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Jun 2007 16:37:05 -0400

vtk (5.0.2.dfsg-1) unstable; urgency=high

  * Remove patent encumbered MPEG2 library from source (Closes: #408552)
  * Recommend python-vtk (Closes: #405119)
  * Correctly install VTKConfig.cmake (Closes: #407687)
  * multiblock (Fortran unformatted) PLOT3D solution file patch (Closes: #400406)
  * include vtkWrap* executables are needed to build libraries bindings for tcl and
    python that extend vtk. (Closes: ##401746)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 20 Feb 2007 21:55:26 -0500

vtk (5.0.2-4) unstable; urgency=low

  * Add description of fix for two-dimensional PLOT3D to README.debian

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Nov 2006 20:55:44 -0500

vtk (5.0.2-3) unstable; urgency=low

  * Fixup VTKData pathname (Closes: #389549)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 13 Nov 2006 11:00:05 -0500

vtk (5.0.2-2) unstable; urgency=low

  * depend on x11proto-core-dev rather than x-dev (Closes: #389001)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Nov 2006 23:17:11 -0500

vtk (5.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #395566)
  * Build with Qt support thanks to Michael Hanke. (Closes: #384908)
  * Correct VTK_DATA_ROOT path (Closes: #389549)
  * libvtk5-qt4-dev depends on libvtk5-qt4, 
    libvtk5-qt3-dev depends on libvtk5-qt3 (Closes: #389521)
  * Apply fix for two-dimensional PLOT3D by Francesco Poli (Closes: #397186)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Nov 2006 14:17:57 -0500

vtk (5.0.1-4) unstable; urgency=low

  * Remove build system paths from vtkCommonKit.cmake and
    vtkRenderingKit.cmake in the libvtk5-dev package (Closes: #388736)
    Thanks to Thomas Weber

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 22 Sep 2006 09:54:24 -0400

vtk (5.0.1-3) experimental; urgency=low

  * Add libraries to libvtk5-qt3 and libvtk5-qt3
  * Add conflicts to libvtk5-qt3 and libvtk5-qt3 since both have libQVTK.so.5.0.1
  * Add back graphviz in Build-Depends-Indep since it is in main now.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Sep 2006 11:58:06 -0400

vtk (5.0.1-2) experimental; urgency=low

  * Build with Qt support thanks to Michael Hanke. (Closes: #384908)
  * Use python-support

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  7 Sep 2006 18:38:30 -0400

vtk (5.0.1-1) unstable; urgency=low

  * New upstream branch
  * New soversion, new library package name (Closes: #351476)
  * Automatic build-time python version setting,
    for new Python policy, (Closes: #373406)
 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  6 Aug 2006 14:59:14 -0400

vtk (4.4.2-9) unstable; urgency=low

  * renamed libvtk4c2 to libvtk4c2a(libstdc++ allocator change) (Closes: #339276)
  * New X dependencies - (Closes #346505)
  * patch QVTKRenderWindowInteractor.py invocation of the QWidget constructor (Closes: #333812)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 10 Jan 2006 12:41:41 -0500

vtk (4.4.2-8) unstable; urgency=low

  * Fix build-depends to prefer libgl1-mesa-dev (Closes: #328971)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Sep 2005 10:15:01 -0400

vtk (4.4.2-7) unstable; urgency=low

  * g++ 4.0 Transition
  * Pick up some of the ubuntu patches:
    Update {build-,}depends for xorg -> mesa GL/GLU transition.
    Change (build-)dependencies xlibmesa-glu* to libglu*-xorg.
    Fix libvtk-dev dependencies.
    CXX transition: Rename libvtk4 to libvtk4c2.
    debian/python-vtk.{postinst,prerm}: Remove, use dh_python.
    Work around xorg reorganization, add -I/usr/X11R6/include to the path.
  * Debian still has Python 2.3 as the default

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 11 Sep 2005 21:20:03 -0400

vtk (4.4.2-6ubuntu2) breezy; urgency=low

  * Update {build-,}depends for xorg -> mesa GL/GLU transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 25 Aug 2005 00:35:49 +1000

vtk (4.4.2-6ubuntu1) breezy; urgency=low

  * Synchronise with Debian.
  * Change (build-)dependencies xlibmesa-glu* to libglu*-xorg.
  * Fix libvtk-dev dependencies.
  * CXX transition: Rename libvtk4 to libvtk4c2.
  * Tighten build dependency on ftgl-dev (>= 2.1.2-1ubuntu1).
  * debian/python-vtk.{postinst,prerm}: Remove, use dh_python.
  * Work around xorg reorganization, add -I/usr/X11R6/include to the path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 May 2005 14:57:29 +0200

vtk (4.4.2-6) unstable; urgency=low

  * provide /usr/include/vtk/vtkAMRBox.h in libvtk4-dev (Closes: #258090)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 20 Mar 2005 11:48:50 -0500

vtk (4.4.2-5) unstable; urgency=low

  * fix dependency for GLU development package libglu-dev (Closes: #299523)
  * also fix libgl-dev dependency, use XFree86 OpenGL by default
  * correct version in shlibs file with dh_makeshlibs -V (Closes: #299479)
  * support system lib freetype 6 (Closes: #277602)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Mar 2005 19:13:10 -0500

vtk (4.4.2-4) unstable; urgency=low

  * works with mayavi and gl2ps (Closes: #237051, #232019)
  * vtk-tcl depends on -dev (Closes: #231138)
  * help octaviz transition out of experimental
  * Build-depends upon cmake version 2.0.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue,  8 Mar 2005 09:56:07 -0500

vtk (4.4.2-3) experimental; urgency=low

  * ship Common/vtkAMRBox.h in libvtk4-dev (Closes: #258090)
  * python-vtk: vtkGetDataRoot returns correct directory

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 19 Aug 2004 09:27:41 -0400

vtk (4.4.2-2) experimental; urgency=low

  * Give experimental version a build with new libtiff, cmake 2.0.3

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 12 Aug 2004 13:40:42 -0400

vtk (4.4.2-1) experimental; urgency=low

  * New upstream release, use vtkIdTypeArray instead of vtkIntArray 

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 29 Mar 2004 22:34:09 -0500

vtk (4.4.1-2) experimental; urgency=low

  * fix some .so links (Closes: #237051)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue,  9 Mar 2004 09:16:47 -0500

vtk (4.4.1-1) experimental; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  7 Mar 2004 23:04:50 -0500

vtk (4.4-2) experimental; urgency=low

  * Enable gl2ps support

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 Feb 2004 21:15:18 -0500

vtk (4.4-1) experimental; urgency=low

  * New upstream "interim" release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 15 Feb 2004 08:45:07 -0500

vtk (4.2.6-5ubuntu1) hoary; urgency=low

  * Rebuilt for Python 2.4.

 -- Herve Cauwelier <hcauwelier@oursours.net>  Thu, 17 Mar 2005 10:18:35 +0100

vtk (4.2.5-1) unstable; urgency=low

  * New upstream release
  * Added conflicts line because I moved files between libvtk4 and python-vtk
    (Closes: #227006)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 20 Jan 2004 21:19:29 -0500

vtk (4.2.4-4) unstable; urgency=low

  * Fix .so file handling in binary-arch only builds. (Closes: #225659)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 31 Dec 2003 11:22:54 -0500

vtk (4.2.4-3) unstable; urgency=low

  * apply patch Wrapping/Python/vtk/tk/vtkLoadPythonTkWidgets.py (again)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 16 Dec 2003 19:33:40 -0500

vtk (4.2.4-2) unstable; urgency=low

  * Fix FTBFS package bug
  * Lose some cruft, adjust some rules to make backporting easier.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 15 Dec 2003 22:58:23 -0500

vtk (4.2.4-1) unstable; urgency=low

  * New upstream release
  * With cmake 1.8.2+ fix_linkage is no longer needed
  * update depends for python-vtk and vtk-tcl (Closes: #222927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  4 Nov 2003 19:38:35 -0500

vtk (4.2.2-6) unstable; urgency=low

  * Fix doc-base entry for vtk-doc (Closes: #212917)
  * More robust tmpfile for debian/fix_linkage (Closes: #219440)
  * Fix vtk-tcl (Closes: #219722)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  8 Nov 2003 20:26:31 -0500

vtk (4.2.2-5) unstable; urgency=low

  * Enable VTK_USE_PARALLEL - with threads rather than MPI

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 21 Aug 2003 11:08:11 -0400

vtk (4.2.2-4) unstable; urgency=low

  * /usr/lib/vtk/CMake/ is needed, too. (Closes: #199907)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 21 Aug 2003 20:42:26 -0400

vtk (4.2.2-3) unstable; urgency=low

  * Craft /usr/lib/vtk/VTKConfig.cmake paths by hand
    to reflect the install platform rather than the build platform
    (Closes: #199907)
  * Don't ship any .pyc, the postinst handles it. (Closes: #206454)
  * interface with tcl in Tkinter changed slightly in python 2.3,
    patch Wrapping/Python/vtk/tk/vtkLoadPythonTkWidgets.py
    (Closes #206455)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2003 17:16:54 -0400

vtk (4.2.2-2) unstable; urgency=low

  * more python2.3 migration  (Closes: #205641)
  * change sections, libvtk4-dev in libdevel, python-vtk in python
  * install /usr/lib/vtk/UseVTK.cmake and friends (Closes: #199907)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2003 08:47:54 -0400

vtk (4.2.2-1) unstable; urgency=low

  * New upstream release
  * use soname fix_linkage from Gavin Baker <gavinb@antonym.org>
  * build wiith python2.3

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2003 04:48:06 +0000

vtk (4.2.1-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri,  7 Mar 2003 22:23:22 -0500

vtk (4.1.20030227-1) unstable; urgency=low

  * Upstream expat changes, try Debian's expat libary again

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 28 Feb 2003 03:01:59 +0000

vtk (4.1.20030224-2) unstable; urgency=low

  * don't use Debian expat library
  * more work on Tcl packaging

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 25 Feb 2003 08:14:36 -0500

vtk (4.1.20030224-1) unstable; urgency=low

  * downloaded from http://www.vtk.org/files/release/4.2/
  * include Upgrading notes in vtk-doc
  * install pkgIndex.tcl rather than pkgIndex.tcl.in
  * use Debian expat library

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Feb 2003 18:04:37 -0500

vtk (4.1.20030216-2) unstable; urgency=low

  * Adjust build depends (xlibmesa-gl-dev xlibmesa-glu-dev)
    use cmake 1.6.4 instead of 1.4.7 

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Feb 2003 06:01:17 -0500

vtk (4.1.20030216-1) unstable; urgency=low

  * New upstream release 4.2 coming soon, getting this through
    the Debian autobuilders before official release might be a good thing
  * source from today's nightly snapshot
  * Will build with GCC 3.2 (Closes: #180767)
  * Only use Dart if it is already installed,
    but no Build-depends on dart-client (Closes: #175576)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Feb 2003 23:41:34 -0500

vtk (4.0.dfsg-2) unstable; urgency=low

  * Plain gcc, Python cleanups, use tcl8.4 and link with tk8.4
  * Builds OK in my pbuilder environment (Closes: #164983)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 24 Oct 2002 21:36:48 -0400

vtk (4.0.dfsg-1) unstable; urgency=low

  * Now with DFSG source. (rm -rf Patented)
    ...more details in README.debian
  * Don't Build-Depends-Indep on graphviz. (Closes: #162460)
  * Avoid g++-3.2 on sparc.
    "<BenC> mait: don't expect gcc-3.2 to work too well on sparc right now"
  * The new "package of d00m" release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Sep 2002 19:13:13 -0400

vtk (4.0-2) unstable; urgency=low

  * Conflict/replaces older libvtk*-dev (Closes: #161429)
  * Update to policy 3.5.7, use Build-Depends-Indep (Closes: #161906, #161910)
  * Place supporting tcl files in /usr/lib/vtk/tcl for vtk-tcl (Closes: #162271)
  * Use -ffunction-sections flag for hppa build, via CMake this time.
  * Avoid time-outs on slow architectures by not running tests on arm, m68k, mipsel.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Sep 2002 19:19:40 -0400

vtk (4.0-1) unstable; urgency=low

  * New upstream - major changes (Closes: #140160)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 26 Aug 2002 20:17:59 -0400

vtk (3.2-11) woody-proposed-updates; urgency=low

  * Release Team: Please consider this upload for inclusion in woody.
    The following bugfixes only update packaging.
  * Removed useless links
    (Closes: #145868)
  * Now fakeroot debian/rules binary-patented works
    (Closes: #140632)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri,  5 Jul 2002 15:28:24 -0400

vtk (3.2-10) unstable; urgency=low

  * Fix libvtk32-dev dependencies - correctly this time :-)
    (Closes: #137329)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Mar 2002 10:34:38 -0500

vtk (3.2-9) unstable; urgency=low

  * Fix libvtk32-dev dependencies
    (Closes: #137329)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri,  8 Mar 2002 08:32:21 -0500

vtk (3.2-8) unstable; urgency=low

  * Use -l flag of dh_shlibdeps after using dh_makeshlibs to ensure
    the proper Depends line.
    (Closes: #134824)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 23 Feb 2002 17:50:06 -0500

vtk (3.2-7) unstable; urgency=low

  * libvtk32-dev depends upon libvtk32 rather than suggests
    (Closes: #133457)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri,  4 Jan 2002 10:00:01 -0500

vtk (3.2-6) unstable; urgency=low

  * Build binary-indep correctly
  * don't hardcode dependency
    (Closes: #127603)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri,  4 Jan 2002 15:01:58 -0500

vtk (3.2-5) unstable; urgency=low

  * Link from html documentation into example programs
  * Oops, I had missed a change LaMont made
    (Closes: #127175)
  * Kudos to Ryan Murray for the clue I really needed
    (Closes: #127178)
  * ... those two were the same bug.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 31 Dec 2001 10:02:07 -0500

vtk (3.2-4) unstable; urgency=low

  * Avoid building docs in binary-arch target
  * Cleaner clean rules
    (Closes: #126691)
  * Get Mac OS stuff out of powerpc build (common/vtkDynamicLoader.h line 61)
    (Closes: #126694)
  * python-vtk provides its own widgets.
    (Closes: #126323)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 28 Dec 2001 07:51:11 -0500

vtk (3.2-3.7) unstable; urgency=low

  * NMU
  * Make debian/cleanjava executable.

 -- LaMont Jones <lamont@debian.org>  Tue, 25 Dec 2001 16:36:38 -0700

vtk (3.2-3.6) unstable; urgency=low

  * move vtkTkImageViewerWidget  vtkTkImageWindowWidget  vtkTkRenderWidget
    into /usr/lib so that applications (such as mayavi) find them.
  * Acknowledge bug fixes from previous versions:
    (Closes #119233, #98011, #91238, #104718, #106242, #124370, #105761)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 21 Dec 2001 14:10:14 -0500

vtk (3.2-3.5) unstable; urgency=low

  * Clean up better to make a smaller .diff
  * Add conflicts/replaces to smooth upgrade transition

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 21 Dec 2001 09:14:54 -0500

vtk (3.2-3) unstable; urgency=low

  * changelog entry started Sat, 15 Dec 2001 17:54:57 -0500
  * Incorporate NMU changes from Matthias Klose 3.2-0.1, which collided in
    incoming with my upload of my 3.2-2 package.
  * First of these, make python-vtk installation the way a Debian Python
    guru did. Acknowledge bugs closed this way...
    (Closes: #119233, #98011)
  * NMU is building...good.
    (Closes: #91238, #104718, #106242)
  * Has full set of header files.
    (Closes: #124370, #105761)
  * Build DFSG free, without patented functions, no graphvis dependency.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 18 Dec 2001 15:03:30 -0500

vtk (3.2-0.1) unstable; urgency=low

  * NMU. New upstream version (closes: #122863).
  * Remove the task-vtk package.
  * Use python v2.1 (closes: #119233).
  * Adjust build dependencies.
  * Apply patch to build on powerpc (closes: #106242).
  * /usr/include/vtk/vtk.h: Other headers are included from current directory.
    Closes: #105761.
  * Build without patented modules (closes: #111405, #115375, #122795).
  * Build in a subdirectory (closes: #104718).
  * Remove debian/*{dirs,docs} files and integrate into rules file.
  * Install all example files in vtk-examples package (closes: #122862).
  * Do not compress example files (closes: #104568).
  * Fixed loading of python module (closes: #98011).
  * Build error on sparc. Retry with the upstream version (closes: #91238).

 -- Matthias Klose <doko@debian.org>  Fri, 14 Dec 2001 20:59:47 +0100

vtk (3.2-2) unstable; urgency=low

  * examples cooperate with new vtkdata package
    closes: #104568, #122862
  * new upstream since vtk-3.1 bugs filed...
    closes: #105761, #106242, #104718, #91238, #122863
  * updated for python2.1, check python library locations
    closes: #98011, #111405, #119233
  * handle patented build, describe in more detail
    closes: #115375, #107654
  * Punting patented build and java build for now
    in order to get bugfixes in.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 May 2001 18:20:09 -0400

vtk (3.2-1) unstable; urgency=low

  * Official 3.2 release of VTK from Kitware.
  * Assign sonames, since there are none upstream.
  * Merge Prabhu's patches and 3.2beta debianization efforts.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 May 2001 18:20:09 -0400

vtk (3.1.2-1) unstable; urgency=low

  * New Upstream, work on sonames

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 27 Feb 2001 18:58:48 -0500

vtk (3.2beta-1) unstable; urgency=low

  * Updated the sources to 3.2beta from CVS.
  * Minor improvements in the packaging.

 -- Prabhu Ramachandran <prabhu@aero.iitm.ernet.in>  Sun, 25 Feb 2001 13:16:21 +0530

vtk (3.1.2-20001204-1) unstable; urgency=medium

  * Updated source.
  * Added makefile rules for installation of examples, headers and docs.
  * Fixed makefiles to reduce bloat in the python bindings.
  * Python libs can also be built statically.
  * Added variables to specify installation directories in user.make.
  * Miscellaneous fixes/improvements to the java and python makefiles.
  * Added a small hack to enable py_cpp vtk bindings - the hack will not
    affect usual vtk users, it justs adds a little functionality I may need.
  * Removed doxytag serach index generation from vtk-doc.postinst because
    doxytag chokes.

 -- Prabhu Ramachandran <prabhu@aero.iitm.ernet.in>  Mon,  4 Dec 2000 18:29:56 +0530

vtk (3.1.2-20001120-1) unstable; urgency=medium

  * Updated source to the current VTK CVS tree.
  * Fixed some minor packaging bugs.
  * Added Sebastien Barre et. al.'s perl scripts to enable proper doxygen
    documentation.  Many thanks to them.

 -- Prabhu Ramachandran <prabhu@aero.iitm.ernet.in>  Tue, 21 Nov 2000 17:23:16 +0530

vtk (3.1-2) unstable; urgency=medium

  * Fixed some bad packaging errors in previous debs. Modified for potato. 
  * Added documentation based on vtkHTML and doxygen.  Searcheable docs 
    are now part of vtk-docs and are generated at build time.  Requires
    doxygen to be installed, not necessarily as a deb.
  * vtk-doc also adds itself to the doc-base tree.
  * The newer version of Mesa labels libraries as libGL so I no longer
    need to use the --mesagl option.
  * vtk-python uses the site-packages/vtk directory now.
  * Using the jdk1.1-dev deb instead of the jdk117 I was using.
  * Many thanks to Sudhakar Chandrasekharan <thaths@netscape.com> for help
    with the packaging.

 -- Prabhu Ramachandran <prabhu@aero.iitm.ernet.in>  Thu, 18 May 2000 12:19:02 +0530

vtk (3.1-1) unstable; urgency=low

  * First debian package for vtk.  This debianisation is based
    mostly on the vtk-2.4 RPM which was built based on my original
    vtk-2.2 RPM.
  * Made the packages according to the debian policy v2.5 - for
    slink.  Will have to modify some of the dirs for potato.
  * Added new configure option --with-mesagl so that vtk will work
    with standard Mesa as well as accelerated GL libs provided by card
    vendors like nVidia.  This is done by making sure that vtk does
    not use any Mesa specific extensions.
	
 -- Prabhu Ramachandran <prabhu@aero.iitm.ernet.in>  Wed, 3 May 2000 21:32:37 +0530

vtk (3.1-0.1) unstable; urgency=low

  * Initial Release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Mar 2000 10:52:54 -0500


